﻿using CMS.Services;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using TEAMModelOS.SDK.Extension.DataResult.JsonRpcResponse;

namespace CMS.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class EtlController: Controller
    {
        private readonly DataETLService dataETLService;
        public EtlController(DataETLService _dataETLService) {
            dataETLService = _dataETLService;
        }
        [HttpGet("list")]
        public BaseJosnRPCResponse List() {
            JsonRPCResponseBuilder builder = JsonRPCResponseBuilder.custom();
            return builder.Data(dataETLService.ETL()).build();
        }
    }
}
