using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
using TEAMModelOS.SDK.Helper.Common.JsonHelper;

namespace HiTeachCE.Helpers
{
    public static class HttpClientHelper
    {
        public static async Task<string> Post(string uri,string BasicUsername,string BasicPassword,Dictionary<string,object> data) {
            using (HttpClient client = new HttpClient())
            {
                client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes($"{BasicUsername}:{BasicPassword}")));
                HttpContent httpContent = new StringContent(data.ToApiJson(), Encoding.UTF8);
                httpContent.Headers.ContentType = new MediaTypeHeaderValue("application/json");
                Uri address = new Uri(uri);
                return await client.PostAsync(address, httpContent).Result.Content.ReadAsStringAsync();//返回值
            }
        }
    }
}
