﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace CMS.Models.Source
{
    [SugarTable("exercise")]
    public class SourceExercise
    {
        [SugarColumn(IsNullable = false, IsPrimaryKey = true)]
        public int ExNO { get; set; }
        public int MemberID { get; set; }
        public int CourseNO { get; set; }
        public int ClassID { get; set; }
        public int TPID { get; set; }
        public string ExType { get; set; }
        string ExMode { get; set; }
        public string ExName { get; set; }
        public string ExLink { get; set; }
        //public string  ExTime { get; set; }
        //public string EndTime { get; set; }
        public int QNumber { get; set; }
        public int StuCount { get; set; }
        public int AnsNum { get; set; }
        public int TrueNum { get; set; }
        public float  TrueRate { get; set; }
        public int TotalSpendTime { get; set; }
        public float  AvgSpendTime { get; set; }
        public string Rule { get; set; }
        public string Status { get; set; }
        public string ExNORec { get; set; }
        public string FilePath { get; set; }
        public string SERIALNUMBER { get; set; }
        public string Description { get; set; }
        public string ReportTitle { get; set; }
        public string ReportSubject { get; set; }
        public int ReportGrade { get; set; }
        public string ReportTestName { get; set; }
       // public DateTime ReportTestDate { get; set; }
      /*  public float  ScoreRate { get; set; }
        public float  StdScore { get; set; }
        public int SchoolCount { get; set; }
        public int ClassCount { get; set; }
        public int ItemCount { get; set; }
        public float  Median { get; set; }
        public int FClass { get; set; }*/

    }
}
